# Introduction

Pipeline is an asset packaging library for Django, providing both CSS and JavaScript concatenation and compression, built-in JavaScript template support, and optional data-URI image and font embedding.

You can report bugs and discuss features on the issues page.

You can discuss features or ask questions on the IRC channel on freenode : #django-pipeline

# Table Of Contents

- Installation
  - Upgrading from 1.3
  - Upgrading from 1.5
  - Recommendations
- Configuration
  - Specifying files
  - Embedding fonts and images
  - Rewriting CSS urls
  - Wrapped javascript output
- Usage
  - Templatetags
  - Form Media
  - Collect static
  - Middleware
  - Jinja
- Compressors
  - Yuglify compressor
  - YUI Compressor compressor
  - Closure Compiler compressor
  - UglifyJS compressor
  - JSMin compressor
  - Terser compressor
  - CSSTidy compressor
  - CSSMin compressor
  - css-html-js-minify compressor
  - No-Op Compressors
  - Write your own compressor class
- Compilers
  - TypeScript compiler
  - Coffee Script compiler
  - Live Script compiler
  - LESS compiler
  - SASS compiler
  - Stylus compiler
  - ES6 compiler
  - Write your own compiler class
  - 3rd Party Compilers
- Javascript Templates
  - Configuration
  - Using it with your favorite template library
- Storages
  - Using with staticfiles
  - GZIP compression
  - Using with other storages
  - Using Pipeline with Bower
- Signals
  - css_compressed
  - js_compressed
- Sites using Pipeline
  - 20 Minutes
  - Borsala
  - Croisé dans le Métro
  - Teachoo
  - The Molly Project
  - Mozilla
  - Novapost
  - Sophicware
  - Ulule

# Indices and tables

- Search Page